
EXECUTE (CREATE TABLE &SCHEMA.INTERNAL_ORG (
     INTERNAL_ORG_RK      NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     INTERNAL_ORG_REFERENCE_NO VARCHAR2(32) NOT NULL,
     ORG_NM               VARCHAR2(50),
     ORG_LEGAL_NM         VARCHAR2(50),
     ORG_SHORT_NM         VARCHAR2(50),
     BOOK_OF_RECORD_CURRENCY_CD VARCHAR2(3),
     ORG_TYPE_CD          VARCHAR2(3),
     ORG_LEGAL_TYPE_CD    VARCHAR2(3),
     LEGAL_ENTITY_FLG     VARCHAR2(1),
     LINE_OF_BUSINESS_NM  VARCHAR2(40),
     CENTRAL_GOVT_TAX_ID_NO VARCHAR2(32),
     SIC_CD               VARCHAR2(10),
     NAICS_CD             VARCHAR2(10),
     ACCOUNTING_FIRM_NM   VARCHAR2(50),
     ESTABLISHED_DT       DATE,
     FIRST_OPERATION_DT   DATE,
     COMPANY_REGISTRATION_NO VARCHAR2(32),
     NATURE_OF_BUSINESS_CD VARCHAR2(3),
     ADDRESS_LINE_1       VARCHAR2(64),
     ADDRESS_LINE_2       VARCHAR2(64),
     ADDRESS_LINE_3       VARCHAR2(64),
     ADDRESS_LINE_4       VARCHAR2(64),
     CITY_NM              VARCHAR2(100),
     POSTAL_CD            VARCHAR2(20),
     COUNTY_NM            VARCHAR2(40),
     STATE_REGION_CD      VARCHAR2(4),
     COUNTRY_CD           VARCHAR2(3),
     TELEPHONE_NO         VARCHAR2(20),
     FAX_NO               VARCHAR2(20),
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR2(3),
     WEB_SITE_TXT         VARCHAR2(255),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (INTERNAL_ORG_RK, VALID_FROM_DTTM)
)) BY ORACLE;
