
CREATE TABLE &LIBREF..CAPITAL_TYPE (
     CAPITAL_TYPE_CD      VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_TYPE_CAPITAL_TYPE_CD_LABEL,N))",
     LANGUAGE_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_TYPE_LANGUAGE_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_TYPE_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_TYPE_VALID_TO_DTTM_LABEL,N))",
     CAPITAL_TYPE_DESC    VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_TYPE_CAPITAL_TYPE_DESC_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_TYPE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (CAPITAL_TYPE_CD, LANGUAGE_CD, VALID_FROM_DTTM)
);
