
CREATE TABLE &LIBREF..RISK_FACTOR_OBJECT_TYPE (
     RISK_FACTOR_OBJECT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_TYPE_RISK_FACTOR_OBJECT_TYPE_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_TYPE_VALID_FROM_DTTM_LABEL,N))",
     LANGUAGE_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_TYPE_LANGUAGE_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_TYPE_VALID_TO_DTTM_LABEL,N))",
     RISK_FACTOR_OBJECT_TYPE_DESC VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_TYPE_RISK_FACTOR_OBJECT_TYPE_DESC_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_TYPE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (RISK_FACTOR_OBJECT_TYPE_CD, VALID_FROM_DTTM, LANGUAGE_CD)
);
