
EXECUTE (CREATE TABLE &SCHEMA.FINANCIAL_INSTRUMENT_CALC_SPEC (
     FINANCIAL_INSTRUMENT_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     MTM_TIME_FREQUENCY_CD VARCHAR2(3),
     REGULATORY_PRODUCT_CD VARCHAR2(3),
     HOLDING_PERIOD_DAYS_CNT NUMBER(6),
     HAIRCUT_SET_ID       VARCHAR2(32),
     HAIRCUT_VALUE_RT     NUMBER(9,4),
     RISK_WEIGHT_PCT      NUMBER(9,4),
     ADD_ON_PCT           NUMBER(9,4),
     QUALIFYING_DEBT_SECURITY_FLG VARCHAR2(1),
     LIQUIDITY_HAIRCUT_SET_ID VARCHAR2(32),
     DELTA_GAMMA_APPROXIMATION_FLG VARCHAR2(1),
     ACTIVE_DEEP_WIDE_MARKET_FLG VARCHAR2(1),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     CAPITAL_COMPONENT_CD VARCHAR2(3),
     COLLATERALIZE_RESERVES_FLG VARCHAR2(1),
     EQUITY_FORM_CD       VARCHAR2(3),
     INDEX_CDS_CVA_STD_RSK_WGT_PCT NUMBER(9,4),
     PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
)) BY ORACLE;
