
EXECUTE (CREATE TABLE &SCHEMA.NETTING_SET (
     NETTING_SET_RK       NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     NETTING_SET_ID       VARCHAR2(32) NOT NULL,
     OFF_BALANCE_NETTING_TYPE_CD VARCHAR2(3),
     INTERNAL_ORG_RK      NUMBER(10),
     COUNTERPARTY_RK      NUMBER(10),
     FINANCIAL_INSTRUMENT_TYPE_CD VARCHAR2(3),
     MASTER_NETTING_SET_AGRMNT_FLG VARCHAR2(1),
     SETTLEMENT_CURRENCY_CD VARCHAR2(3),
     MATURITY_DT          DATE,
     EFFECTIVE_FROM_DT    DATE,
     NOVATION_FINANCIAL_POSITION_RK NUMBER(10),
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     MARGIN_AGREEMENT_RK  NUMBER(10),
     INCEPTION_DT         DATE,
     INTERNAL_MODEL_VAR_RT NUMBER(9,4),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (NETTING_SET_RK, VALID_FROM_DTTM)
)) BY ORACLE;
