
EXECUTE (CREATE TABLE &SCHEMA.REGULATORY_CAPITAL (
     CAPITAL_TYPE_CD      VARCHAR2(3) NOT NULL,
     INTERNAL_ORG_RK      NUMBER(10) NOT NULL,
     TIER_NO              NUMBER(6) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     VALID_TO_DTTM        DATE,
     REGULATORY_CAPITAL_AMT NUMBER(18,5),
     FINANCIAL_INSTRUMENT_RK NUMBER(10),
     CURRENCY_CD          VARCHAR2(3),
     PROCESSED_DTTM       DATE,
     PRIMARY KEY (CAPITAL_TYPE_CD, INTERNAL_ORG_RK, TIER_NO, VALID_FROM_DTTM)
)) BY ORACLE;
