
EXECUTE (CREATE TABLE &SCHEMA.RISK_FACTOR (
     RISK_FACTOR_ID       VARCHAR2(32) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     UNDERLYING_RISK_FACTOR_ID VARCHAR2(32),
     RISK_FACTOR_NM       VARCHAR2(40),
     RISK_FACTOR_ROLE_CD  VARCHAR2(3),
     RISK_FACTOR_CATEGORY_CD VARCHAR2(3),
     MATURITY_LENGTH_OF_TIME NUMBER(8),
     MATURITY_TIME_UOM_CD VARCHAR2(3),
     RISK_FACTOR_MEASURE_TYPE_CD VARCHAR2(3),
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     HEDGING_SET_RK       NUMBER(10),
     CURRENCY_CD          VARCHAR2(3),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     COMPOUNDING_FREQ_TIME_UOM_CD VARCHAR2(3),
     COMPOUNDING_FREQ_TIME_UOM_NO NUMBER(8),
     RATE_TENOR_TIME_UOM_CD VARCHAR2(3),
     RATE_TENOR_TIME_UOM_NO NUMBER(8),
     PRIMARY KEY (RISK_FACTOR_ID, VALID_FROM_DTTM)
)) BY ORACLE;
