
CREATE TABLE &LIBREF..ANALYTICAL_MODEL_TARGET_PERIOD (
     MODEL_RK             NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,ANALYTICAL_MODEL_TARGET_PERIOD_MODEL_RK_LABEL,N))",
     TARGET_PERIOD_CNT    NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,ANALYTICAL_MODEL_TARGET_PERIOD_TARGET_PERIOD_CNT_LABEL,N))",
     TARGET_PERIOD_TIME_UOM_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,ANALYTICAL_MODEL_TARGET_PERI_TARGET_PERIOD_TIME_UOM_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,ANALYTICAL_MODEL_TARGET_PERIOD_VALID_FROM_DTTM_LABEL,N))",
     TIME_UOM_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,ANALYTICAL_MODEL_TARGET_PERIOD_TIME_UOM_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,ANALYTICAL_MODEL_TARGET_PERIOD_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,ANALYTICAL_MODEL_TARGET_PERIOD_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (MODEL_RK, TARGET_PERIOD_CNT, TARGET_PERIOD_TIME_UOM_CD,
      VALID_FROM_DTTM)
);
