
CREATE TABLE &LIBREF..APPLICATION_DETAILS (
     APPLICATION_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_APPLICATION_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_VALID_FROM_DTTM_LABEL,N))",
     APPLICATION_NO       VARCHAR(32) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_APPLICATION_NO_LABEL,N))",
     APPLICATION_TYPE_CD  VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_APPLICATION_TYPE_CD_LABEL,N))",
     APPLICATION_DTTM     DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_APPLICATION_DTTM_LABEL,N))",
     REQUESTED_POLICY_DT  DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_REQUESTED_POLICY_DT_LABEL,N))",
     INSURED_FULL_TO_BE_PAID_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_INSURED_FULL_TO_BE_PAID_AMT_LABEL,N))",
     MAX_RISK_AMT         NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_MAX_RISK_AMT_LABEL,N))",
     UNDERWRITER_NM       VARCHAR(40) label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_UNDERWRITER_NM_LABEL,N))",
     UNDERWRITING_DT      DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_UNDERWRITING_DT_LABEL,N))",
     APPLICATION_STATUS_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_APPLICATION_STATUS_CD_LABEL,N))",
     STATUS_CHANGE_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_STATUS_CHANGE_DT_LABEL,N))",
     STATUS_REASON_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_STATUS_REASON_CD_LABEL,N))",
     INSURANCE_PRODUCT_RK NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_INSURANCE_PRODUCT_RK_LABEL,N))",
     CUSTOMER_RK          NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_CUSTOMER_RK_LABEL,N))",
     QUOTE_RK             NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_QUOTE_RK_LABEL,N))",
     PRODUCER_RK          NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_PRODUCER_RK_LABEL,N))",
     UNDERWRITER_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_UNDERWRITER_RK_LABEL,N))",
     UNDERWRITING_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_UNDERWRITING_TYPE_CD_LABEL,N))",
     LOB_RK               NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_LOB_RK_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,APPLICATION_DETAILS_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (APPLICATION_RK, VALID_FROM_DTTM)
);
