
CREATE TABLE &LIBREF..CAPITAL_ALLOCATION (
     CAPITAL_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_CAPITAL_ALLOCATION_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_VALID_FROM_DTTM_LABEL,N))",
     CAPITAL_ALLOCATION_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_CAPITAL_ALLOCATION_ID_LABEL,N))",
     CAPITAL_ALLOCATION_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_CAPITAL_ALLOCATION_RT_LABEL,N))",
     MATURITY_LENGTH_IN_YEARS_NO NUMERIC(6,2) FORMAT=NLNUM6.2 INFORMAT=NLNUM6.2 label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_MATURITY_LENGTH_IN_YEARS_NO_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_EFFECTIVE_TO_DTTM_LABEL,N))",
     RISK_FACTOR_ID       VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_RISK_FACTOR_ID_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CAPITAL_ALLOCATION_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (CAPITAL_ALLOCATION_RK, VALID_FROM_DTTM)
);
