
CREATE TABLE &LIBREF..CREDIT_FACILITY_TRANSFER_RATE (
     CREDIT_FACILITY_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_TRANSFER_RATE_CREDIT_FACILITY_RK_LABEL,N))",
     TRANSFER_RATE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_TRANSFER_RATE_TRANSFER_RATE_TYPE_CD_LABEL,N))",
     TRANSFER_METHOD_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_TRANSFER_RATE_TRANSFER_METHOD_CD_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_TRANSFER_RATE_EFFECTIVE_FROM_DTTM_LABEL,N))",
     TRANSFER_RT          NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_TRANSFER_RATE_TRANSFER_RT_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_TRANSFER_RATE_EFFECTIVE_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_TRANSFER_RATE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (CREDIT_FACILITY_RK, TRANSFER_RATE_TYPE_CD,
      TRANSFER_METHOD_CD, EFFECTIVE_FROM_DTTM)
);
