
CREATE TABLE &LIBREF..FRA_INSTRUMENT_LEG (
     FRA_INSTRUMENT_LEG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FRA_INSTRUMENT_LEG_FRA_INSTRUMENT_LEG_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FRA_INSTRUMENT_LEG_VALID_FROM_DTTM_LABEL,N))",
     FRA_LEG_CD           VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FRA_INSTRUMENT_LEG_FRA_LEG_CD_LABEL,N))",
     FRA_LEG_TYPE_CD      VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FRA_INSTRUMENT_LEG_FRA_LEG_TYPE_CD_LABEL,N))",
     FRA_LEG_FINANCIAL_INSTR_RK NUMERIC(10) NOT NULL FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FRA_INSTRUMENT_LEG_FRA_LEG_FINANCIAL_INSTR_RK_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FRA_INSTRUMENT_LEG_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FRA_INSTRUMENT_LEG_PROCESSED_DTTM_LABEL,N))",
     FRA_LEG_NM           VARCHAR(40) label="%SYSFUNC(SASMSG(&SMDFILE,FRA_INSTRUMENT_LEG_FRA_LEG_NM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FRA_INSTRUMENT_LEG_RK, VALID_FROM_DTTM)
);
