
CREATE TABLE &LIBREF..INDUSTRY (
     INDUSTRY_CD          VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,INDUSTRY_INDUSTRY_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,INDUSTRY_VALID_FROM_DTTM_LABEL,N))",
     LANGUAGE_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,INDUSTRY_LANGUAGE_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,INDUSTRY_VALID_TO_DTTM_LABEL,N))",
     INDUSTRY_DESC        VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,INDUSTRY_INDUSTRY_DESC_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,INDUSTRY_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (INDUSTRY_CD, VALID_FROM_DTTM, LANGUAGE_CD)
);
