
CREATE TABLE &LIBREF..MARGIN_AGRMNT_COLLTRL_CONTRACT (
     MARGIN_AGRMNT_CLLTRL_CNTRCT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_C_MARGIN_AGRMNT_CLLTRL_CNTRCT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_CONTRACT_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_CONTRACT_VALID_TO_DTTM_LABEL,N))",
     MARGIN_AGREEMENT_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_CONTRACT_MARGIN_AGREEMENT_RK_LABEL,N))",
     MARGIN_AGREEMENT_LEG_ROLE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_CON_MARGIN_AGREEMENT_LEG_ROLE_CD_LABEL,N))",
     CREDIT_RISK_MITIGANT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_CONTRACT_CREDIT_RISK_MITIGANT_RK_LABEL,N))",
     RANK_ORDER_NO        NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_CONTRACT_RANK_ORDER_NO_LABEL,N))",
     PLEDGED_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_CONTRACT_PLEDGED_COLLATERAL_RK_LABEL,N))",
     PROCESSED_DTTM       DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGRMNT_COLLTRL_CONTRACT_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (MARGIN_AGRMNT_CLLTRL_CNTRCT_RK, VALID_FROM_DTTM)
);
