
CREATE TABLE &LIBREF..MONEY_MARKET_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MONEY_MARKET_INSTRUMENT_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MONEY_MARKET_INSTRUMENT_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MONEY_MARKET_INSTRUMENT_VALID_TO_DTTM_LABEL,N))",
     MONEY_MARKET_TYPE_CD VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,MONEY_MARKET_INSTRUMENT_MONEY_MARKET_TYPE_CD_LABEL,N))",
     PROCESSED_DTTM       DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MONEY_MARKET_INSTRUMENT_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);
