
CREATE TABLE &LIBREF..RISK_FACTOR_CURVE (
     CURVE_ID             VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURVE_CURVE_ID_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURVE_VALID_FROM_DTTM_LABEL,N))",
     CURVE_NM             VARCHAR(40) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURVE_CURVE_NM_LABEL,N))",
     CURVE_ROLE_CD        VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURVE_CURVE_ROLE_CD_LABEL,N))",
     INTERPOLATION_TECHNIQUE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURVE_INTERPOLATION_TECHNIQUE_CD_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURVE_CURRENCY_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURVE_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURVE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (CURVE_ID, VALID_FROM_DTTM)
);
