
CREATE TABLE &LIBREF..RISK_FACTOR_OBJECT_RELATION (
     RISK_FACTOR_OBJECT_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_RELATION_RISK_FACTOR_OBJECT_ID_LABEL,N))",
     REF_RISK_FACTOR_OBJECT_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_RELATION_REF_RISK_FACTOR_OBJECT_ID_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_RELATION_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_RELATION_VALID_TO_DTTM_LABEL,N))",
     RISK_FACTOR_RELATION_TYPE_CD VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_RELATI_RISK_FACTOR_RELATION_TYPE_CD_LABEL,N))",
     RISK_FACTOR_OBJECT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_RELATION_RISK_FACTOR_OBJECT_TYPE_CD_LABEL,N))",
     PROCESSED_DTTM       DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_OBJECT_RELATION_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (RISK_FACTOR_OBJECT_ID, REF_RISK_FACTOR_OBJECT_ID,
      VALID_FROM_DTTM)
);
