
CREATE TABLE &LIBREF..TIME_UNIT_OF_MEASURE (
     TIME_UOM_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,TIME_UNIT_OF_MEASURE_TIME_UOM_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,TIME_UNIT_OF_MEASURE_VALID_FROM_DTTM_LABEL,N))",
     LANGUAGE_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,TIME_UNIT_OF_MEASURE_LANGUAGE_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,TIME_UNIT_OF_MEASURE_VALID_TO_DTTM_LABEL,N))",
     TIME_UOM_DESC        VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,TIME_UNIT_OF_MEASURE_TIME_UOM_DESC_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,TIME_UNIT_OF_MEASURE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (TIME_UOM_CD, VALID_FROM_DTTM, LANGUAGE_CD)
);
