
EXECUTE (CREATE TABLE &SCHEMA.APPLICATION_DETAILS (
     APPLICATION_RK       NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     APPLICATION_NO       VARCHAR2(32) NOT NULL,
     APPLICATION_TYPE_CD  VARCHAR2(3),
     APPLICATION_DTTM     DATE,
     REQUESTED_POLICY_DT  DATE,
     INSURED_FULL_TO_BE_PAID_AMT NUMBER(18,5),
     MAX_RISK_AMT         NUMBER(18,5),
     UNDERWRITER_NM       VARCHAR2(40),
     UNDERWRITING_DT      DATE,
     APPLICATION_STATUS_CD VARCHAR2(3),
     STATUS_CHANGE_DT     DATE,
     STATUS_REASON_CD     VARCHAR2(3),
     INSURANCE_PRODUCT_RK NUMBER(10) NOT NULL,
     CUSTOMER_RK          NUMBER(10) NOT NULL,
     QUOTE_RK             NUMBER(10),
     PRODUCER_RK          NUMBER(10),
     UNDERWRITER_RK       NUMBER(10),
     UNDERWRITING_TYPE_CD VARCHAR2(3),
     LOB_RK               NUMBER(10),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (APPLICATION_RK, VALID_FROM_DTTM)
)) BY ORACLE;
