
EXECUTE (CREATE TABLE &SCHEMA.FINANCIAL_COLLATERAL (
     FINANCIAL_COLLATERAL_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     FIN_COLLATERAL_SUBTYPE_CD VARCHAR2(3),
     SOURCE_SYSTEM_CD     VARCHAR2(3),
     FINANCIAL_COLLATERAL_ID VARCHAR2(32) NOT NULL,
     LAST_VALUATION_DT    DATE,
     FINANCIAL_INSTRUMENT_RK NUMBER(10),
     ACCOUNT_RK           NUMBER(10),
     HOLDINGS_NO          NUMBER(18,5),
     INS_SURRENDER_VALUE_AMT NUMBER(18,5),
     HAIRCUT_SET_ID       VARCHAR2(32),
     INSURED_AMT          NUMBER(18,5),
     INS_PROVIDER_EXT_ORG_RK NUMBER(10),
     CAN_REHYPOTHECATE_FLG VARCHAR2(1),
     REHYPO_REVOKE_NOTICE_PER_CNT NUMBER(6),
     HEDGE_GROUP_RK       NUMBER(10),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR2(3),
     PRIMARY KEY (FINANCIAL_COLLATERAL_RK, VALID_FROM_DTTM)
)) BY ORACLE;
