
CREATE TABLE &LIBREF..ASSESSMENT_RATING_GRADE (
     ASSESSMENT_RATING_GRADE_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_ASSESSMENT_RATING_GRADE_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_VALID_FROM_DTTM_LABEL,N))",
     ASSESSMENT_RATING_GRADE_ID VARCHAR(32) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_ASSESSMENT_RATING_GRADE_ID_LABEL,N))",
     ASSESSMENT_AGENCY_CD VARCHAR(5) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_ASSESSMENT_AGENCY_CD_LABEL,N))",
     ASSESSMENT_GRADE     VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_ASSESSMENT_GRADE_LABEL,N))",
     ASSESSMENT_SCORE_NO  NUMERIC(10,2) FORMAT=NLNUM10.2 INFORMAT=NLNUM10.2 label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_ASSESSMENT_SCORE_NO_LABEL,N))",
     ASSESSMENT_TYPE_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_ASSESSMENT_TYPE_CD_LABEL,N))",
     SHORTTERM_FLG        CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_SHORTTERM_FLG_LABEL,N))",
     MODEL_RK             NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_MODEL_RK_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_EFFECTIVE_TO_DTTM_LABEL,N))",
     LGD_RISK_FACTOR_ID   VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_LGD_RISK_FACTOR_ID_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,ASSESSMENT_RATING_GRADE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (ASSESSMENT_RATING_GRADE_RK, VALID_FROM_DTTM)
);
