
CREATE TABLE &LIBREF..CODE_LANGUAGE (
     LANGUAGE_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CODE_LANGUAGE_LANGUAGE_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CODE_LANGUAGE_VALID_FROM_DTTM_LABEL,N))",
     REF_LANGUAGE_CD      VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CODE_LANGUAGE_REF_LANGUAGE_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CODE_LANGUAGE_VALID_TO_DTTM_LABEL,N))",
     LANGUAGE_DESC        VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,CODE_LANGUAGE_LANGUAGE_DESC_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CODE_LANGUAGE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (LANGUAGE_CD, VALID_FROM_DTTM, REF_LANGUAGE_CD)
);
