
CREATE TABLE &LIBREF..HEDGE_GROUP (
     HEDGE_GROUP_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,HEDGE_GROUP_HEDGE_GROUP_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,HEDGE_GROUP_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,HEDGE_GROUP_VALID_TO_DTTM_LABEL,N))",
     HEDGE_PCT            NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,HEDGE_GROUP_HEDGE_PCT_LABEL,N))",
     HEDGE_GROUP_TYPE_CD  VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,HEDGE_GROUP_HEDGE_GROUP_TYPE_CD_LABEL,N))",
     MATURITY_DT          DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,HEDGE_GROUP_MATURITY_DT_LABEL,N))",
     HEDGE_EFF_VAL        NUMERIC(8) FORMAT=8. INFORMAT=8. label="%SYSFUNC(SASMSG(&SMDFILE,HEDGE_GROUP_HEDGE_EFF_VAL_LABEL,N))",
     PROCESSED_DTTM       DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,HEDGE_GROUP_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (HEDGE_GROUP_RK, VALID_FROM_DTTM)
);
