
CREATE TABLE &LIBREF..PLEDGED_COLLATERAL_ASSIGNMENT (
     PLEDGED_COLLATERAL_ASSGNMNT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSI_PLEDGED_COLLATERAL_ASSGNMNT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSIGNMENT_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSIGNMENT_VALID_TO_DTTM_LABEL,N))",
     PLEDGED_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSIGNMENT_PLEDGED_COLLATERAL_RK_LABEL,N))",
     FINANCIAL_POSITION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSIGNMENT_FINANCIAL_POSITION_RK_LABEL,N))",
     ACCOUNT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSIGNMENT_ACCOUNT_RK_LABEL,N))",
     CREDIT_FACILITY_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSIGNMENT_CREDIT_FACILITY_RK_LABEL,N))",
     PREPOSITIONED_CPTY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSIGNMENT_PREPOSITIONED_CPTY_RK_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ASSIGNMENT_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (PLEDGED_COLLATERAL_ASSGNMNT_RK, VALID_FROM_DTTM)
);
