
EXECUTE (CREATE TABLE &SCHEMA.EXTERNAL_ORG_FINANCIAL_DATA (
     VALID_FROM_DTTM      DATE NOT NULL,
     EXTERNAL_ORG_RK      NUMBER(10) NOT NULL,
     VALID_TO_DTTM        DATE NOT NULL,
     ANNUAL_REVENUE_AMT   NUMBER(18,5),
     REVENUE_GROWTH_AMT   NUMBER(18,5),
     GROSS_ANNUAL_SALES_AMT NUMBER(18,5),
     NET_SALES_REVENUE_AMT NUMBER(18,5),
     ANNUAL_OPERATING_REVENUE_AMT NUMBER(18,5),
     CAGR_OPERATING_REVENUE_AMT NUMBER(18,5),
     NON_OPERATING_REVENUE_AMT NUMBER(18,5),
     COST_OF_GOODS_SOLD_AMT NUMBER(18,5),
     COST_OF_SALES_AMT    NUMBER(18,5),
     OPBDIT_AMT           NUMBER(18,5),
     ANNUAL_INTEREST_CHARGES_AMT NUMBER(18,5),
     INTEREST_FINANCE_CHARGES_AMT NUMBER(18,5),
     TOTAL_TERM_DEBT_P_AND_I_AMT NUMBER(18,5),
     LONG_TERM_DEBT_INT_EXPENSE_AMT NUMBER(18,5),
     DEPREC_NON_CASH_CHARGES_AMT NUMBER(18,5),
     OWNER_COMP_DRAWING_AMT NUMBER(18,5),
     GENERAL_OTHER_EXPENSE_AMT NUMBER(18,5),
     EBIT_AMT             NUMBER(18,5),
     PRIOR_PERIOD_ADJUSTMENTS_NO NUMBER(6),
     EXTRA_ORDINARY_INCOME_AMT NUMBER(18,5),
     EXTRA_ORDINARY_EXPENSES_AMT NUMBER(18,5),
     GROSS_PROFIT_AMT     NUMBER(18,5),
     PBT_AMT              NUMBER(18,5),
     PAT_AMT              NUMBER(18,5),
     ACCRETION_TO_RESERVES_AMT NUMBER(18,5),
     NET_CASH_ACCRUALS_AMT NUMBER(18,5),
     FREE_CASH_FLOW_AMT   NUMBER(18,5),
     GROSS_OPERATING_MARGINS_AMT NUMBER(18,5),
     NET_INCOME_AMT       NUMBER(18,5),
     GROSS_MARGIN_AMT     NUMBER(18,5),
     NET_MARGIN_AMT       NUMBER(18,5),
     RETURN_ON_CAPITAL_EMPLOYED_AMT NUMBER(18,5),
     RETURN_ON_EQUITY_AMT NUMBER(18,5),
     DEBT_SERVICE_COVERAGE_RT NUMBER(9,4),
     AVG_DEBT_SERVICE_COVERAGE_RT NUMBER(9,4),
     INTEREST_COVERAGE_RT NUMBER(9,4),
     AVERAGE_INTEREST_COVERAGE_RT NUMBER(9,4),
     RENT_AMT             NUMBER(18,5),
     TOTAL_ASSETS_AMT     NUMBER(18,5),
     FIXED_ASSETS_AMT     NUMBER(18,5),
     CURRENT_ASSETS_AMT   NUMBER(18,5),
     NET_TRADE_REC_AMT    NUMBER(18,5),
     INVENTORY_AMT        NUMBER(18,5),
     OTHER_CURRENT_ASSETS_AMT NUMBER(18,5),
     MARKETABLE_SECURITIES_AMT NUMBER(18,5),
     ASSETS_SECURITIZED_AMT NUMBER(18,5),
     CASH_AND_BANK_BALANCES_AMT NUMBER(18,5),
     INTANGIBLE_ASSETS_AMT NUMBER(18,5),
     REVALUATION_RESERVES_AMT NUMBER(18,5),
     OTHER_ASSETS_AMT     NUMBER(18,5),
     TOTAL_LIABILITY_AMT  NUMBER(18,5),
     TOTAL_DEBT_AMT       NUMBER(18,5),
     LONG_TERM_DEBT_AMT   NUMBER(18,5),
     LONG_TERM_DEBT_EXPO_AMT NUMBER(18,5),
     SHORT_TERM_DEBT_AMT  NUMBER(18,5),
     SHORT_TERM_DEBT_EXPO_AMT NUMBER(18,5),
     SECURED_DEBT_AMT     NUMBER(18,5),
     UNSECURED_DEBT_AMT   NUMBER(18,5),
     NOTES_PAYABLE_AMT    NUMBER(18,5),
     TRADE_PAYABLE_AMT    NUMBER(18,5),
     SHORT_TERM_PAYABLES_AMT NUMBER(18,5),
     CURRENT_LTD_AMT      NUMBER(18,5),
     OTHER_CURRENT_LIABILITY_AMT NUMBER(18,5),
     TOTAL_CURRENT_LIABILITY_AMT NUMBER(18,5),
     OTHER_LIABILITY_AMT  NUMBER(18,5),
     CONTINGENT_LIABILITIES_AMT NUMBER(18,5),
     TRADE_CREDITORS_AMT  NUMBER(18,5),
     FOREIGN_CURR_EXPOS_TRANS_AMT NUMBER(18,5),
     FOREIGN_CURR_TRANS_EXPOS_AMT NUMBER(18,5),
     FOREIGN_OTHER_EXPOS_AMT NUMBER(18,5),
     CHARGED_OFF_AMT      NUMBER(18,5),
     CURRENT_VALUE_SECURITY_AMT NUMBER(18,5),
     NET_WORTH_AMT        NUMBER(18,5),
     ADJUSTED_NET_WORTH_AMT NUMBER(18,5),
     LIQUIDITY_RT         NUMBER(9,4),
     CURRENT_RT           NUMBER(9,4),
     TOTAL_EQUITY_NET_WORTH_AMT NUMBER(18,5),
     RETAINED_EARNINGS_AMT NUMBER(18,5),
     ASSET_BETA_NO        NUMBER(10),
     MARKET_CAPITALIZATION_AMT NUMBER(18,5),
     MARKET_CAPITALIZATION_DT DATE,
     DIVIDEND_PAYOUT_AMT  NUMBER(18,5),
     DIVIDEND_PAYOUT_RATIO_PCT NUMBER(9,4),
     EARNINGS_PER_SHARE_AMT NUMBER(18,5),
     PRICE_EARNINGS_RATIO_RT NUMBER(9,4),
     DEBT_EQUITY_RT       NUMBER(9,4),
     LT_DEBT_EQUITY_RT    NUMBER(9,4),
     ST_DEBT_EQUITY_RT    NUMBER(9,4),
     DAYS_PAYABLE_RT      NUMBER(9,4),
     DAYS_RECEIVABLE_RT   NUMBER(9,4),
     DAYS_FINISHED_GOODS_INV_RT NUMBER(9,4),
     DAYS_WORK_IN_PROG_GOODS_RT NUMBER(9,4),
     KNOWN_BANK_RELATIONS_CNT NUMBER(6),
     CURRENCY_CD          VARCHAR2(3),
     EQUITY_CAPITAL_AMT   NUMBER(18,5),
     CREDIT_BUREAU_SCORE_NO NUMBER(4),
     CREDIT_BUREAU_SCORE_DT DATE,
     TAX_BRACKET_CD       VARCHAR2(3),
     LIQUID_NET_WORTH_AMT NUMBER(18,5),
     BANKRUPTCY_FILED_DT  DATE,
     BANKRUPTCY_STATUS_CD VARCHAR2(3),
     REPORTED_ON_DT       DATE,
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     WORKING_CAPITAL_AMT  NUMBER(18,5),
     CASH_FLOW_AMT        NUMBER(18,5),
     INTEREST_INCOME_AMT  NUMBER(18,5),
     RETURN_ON_ASSESTS_AMT NUMBER(18,5),
     MCR_MET_FLG          VARCHAR2(1),
     ELIGIBLE_OWN_FUNDS_AMT NUMBER(18,5),
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (VALID_FROM_DTTM, EXTERNAL_ORG_RK)
)) BY ORACLE;
