
EXECUTE (CREATE TABLE &SCHEMA.FORWARD_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     FORWARD_TYPE_CD      VARCHAR2(3),
     CONVERSION_FACTOR_RT NUMBER(9,4),
     VALUE_SCALING_FACTOR_RT NUMBER(9,4),
     FORWARD_STRIKE_VALUE NUMBER(18,5),
     FORWARD_STRIKE_VALUE_TYPE_CD VARCHAR2(3),
     FORWARD_STRIKE_QUOTE_CD VARCHAR2(3),
     CALCULATE_CASHFLOW_FLG VARCHAR2(1),
     EXPECTED_UNDLNG_EXERCISE_AMT NUMBER(18,5),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
)) BY ORACLE;
