
EXECUTE (CREATE TABLE &SCHEMA.MARGIN_AGREEMENT (
     MARGIN_AGREEMENT_RK  NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     MARGIN_AGREEMENT_DOC_TXT VARCHAR2(100),
     MARGIN_AGREEMENT_BALANCE_AMT NUMBER(18,5),
     MARGIN_THRESHOLD_AMT NUMBER(18,5),
     MARGIN_PERIOD_DAYS_CNT NUMBER(6),
     MARGIN_AGREEMENT_ID  VARCHAR2(32),
     VARIATION_MARGIN_RT  NUMBER(9,4),
     INITIAL_MARGIN_AMT   NUMBER(18,5),
     MARGIN_INDEPENDENT_AMT NUMBER(18,5),
     MINIMUM_MARGIN_TRANSFER_AMT NUMBER(18,5),
     MARGIN_THRESHOLD_CURRENCY_CD VARCHAR2(3),
     MATURITY_DT          DATE,
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (MARGIN_AGREEMENT_RK, VALID_FROM_DTTM)
)) BY ORACLE;
