
EXECUTE (CREATE TABLE &SCHEMA.OPTION_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     OPTION_TYPE_CD       VARCHAR2(3),
     STRIKE_CURRENCY_CD   VARCHAR2(3),
     PUT_CALL_TYPE_CD     VARCHAR2(3),
     EXERCISE_TRANSACTION_COST_PCT NUMBER(9,4),
     OPTION_FIRST_EXERCISE_DT DATE,
     BERMUDA_FLG          VARCHAR2(1),
     BERMUDA_EXERCISE_TIME_FREQ_CD VARCHAR2(3),
     COMPOUND_OPTION_FLG  VARCHAR2(1),
     DISCRETE_MONITORING_FLG VARCHAR2(1),
     DISCRETE_MONITORING_FREQ_CD VARCHAR2(3),
     DISCRETE_MONITORING_START_DT DATE,
     FORWARD_START_DT     DATE,
     FORWARD_START_FLG    VARCHAR2(1),
     RESET_OPTION_TYPE_CD VARCHAR2(3),
     STRIKE_VALUE         NUMBER(18,5),
     STRIKE_VALUE_TYPE_CD VARCHAR2(3),
     BASKET_UNDERLYING_INSTR_CNT NUMBER(6),
     ASIAN_OPTION_TYPE_CD VARCHAR2(3),
     WARRANTS_ISSUED_NO   NUMBER(6),
     BARRIER_FEATURE_RK   NUMBER(10),
     BARRIER_OPTION_TYPE_CD VARCHAR2(3),
     BASKET_OPTION_TYPE_CD VARCHAR2(3),
     CHOOSER_OPTION_TYPE_CD VARCHAR2(10),
     COMPOUND_OPTION_TYPE_CD VARCHAR2(10),
     CORRELATION_MATRIX_RK NUMBER(10),
     DISCRETE_MONITORING_END_DT DATE,
     SECOND_STRIKE_VALUE_TYPE_CD VARCHAR2(3),
     SECOND_STRIKE_VALUE  NUMBER(18,5),
     RESET_DT             DATE,
     OPTION_STYLE_CD      VARCHAR2(3),
     OPTION_STRIKE_QUOTE_CD VARCHAR2(3),
     CALCULATE_CASHFLOW_FLG VARCHAR2(1),
     EXPECTED_EXERCISE_DT DATE,
     EXPECTED_UNDLNG_EXERCISE_AMT NUMBER(18,5),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
)) BY ORACLE;
