
EXECUTE (CREATE TABLE &SCHEMA.PHYSICAL_ASSET (
     PHYSICAL_ASSET_RK    NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     ASSET_VALUE_AMT      NUMBER(18,5),
     CURRENCY_CD          VARCHAR2(3),
     PHYSICAL_ASSET_TYPE_CD VARCHAR2(3),
     ASSET_TYPE_CD        VARCHAR2(3),
     VALUATION_DT         DATE,
     PHYSICAL_ASSET_ID    VARCHAR2(32),
     ASSET_DESC           VARCHAR2(100),
     ASSET_LOCATION_COUNTRY_CD VARCHAR2(3),
     ASSET_LOCATION_POSTAL_CD VARCHAR2(20),
     PROPERTY_RK          NUMBER(10),
     VALUE_TO_BANK_RT     NUMBER(9,4),
     REGULATORY_PRODUCT_CD VARCHAR2(3),
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR2(3),
     PHYSICAL_ASSET_INS_FLG VARCHAR2(1),
     INSURED_AMT          NUMBER(18,5),
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     REVALUATION_DAYS_CNT NUMBER(6),
     CIC_CD               VARCHAR2(4),
     INS_PROVIDER_EXT_ORG_RK NUMBER(10),
     FTP_FIX_TERM_TIME_UOM_CD VARCHAR2(3),
     FTP_FIX_TERM_TIME_UOM_NO NUMBER(8),
     FTP_METHOD_CD        VARCHAR2(3),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     ACCOUNTING_CLASS_CD  VARCHAR2(3),
     HIGH_RISK_CATEGORY_FLG VARCHAR2(1),
     MORTGAGE_LENDING_VALUE_AMT NUMBER(18,5),
     MORTGAGE_REGISTRATION_AMT NUMBER(18,5),
     PRIMARY KEY (PHYSICAL_ASSET_RK, VALID_FROM_DTTM)
)) BY ORACLE;
