
CREATE TABLE &LIBREF..CONVERSION_SCHEDULE (
     CONVERSION_SCHEDULE_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_CONVERSION_SCHEDULE_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_VALID_FROM_DTTM_LABEL,N))",
     CONVERSION_SCHEDULE_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_CONVERSION_SCHEDULE_ID_LABEL,N))",
     CONVERSION_SCHEDULE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_CONVERSION_SCHEDULE_TYPE_CD_LABEL,N))",
     STOCK_PRICE_DT       DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_STOCK_PRICE_DT_LABEL,N))",
     STOCK_PRICE_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_STOCK_PRICE_AMT_LABEL,N))",
     CONVERSION_VALUE     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_CONVERSION_VALUE_LABEL,N))",
     CONVERSION_VALUE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_CONVERSION_VALUE_TYPE_CD_LABEL,N))",
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     CONVERSION_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_CONVERSION_DT_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CONVERSION_SCHEDULE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (CONVERSION_SCHEDULE_RK, VALID_FROM_DTTM)
);
