
CREATE TABLE &LIBREF..MARGIN_AGREEMENT (
     MARGIN_AGREEMENT_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MARGIN_AGREEMENT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_VALID_FROM_DTTM_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_EFFECTIVE_TO_DTTM_LABEL,N))",
     MARGIN_AGREEMENT_DOC_TXT VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MARGIN_AGREEMENT_DOC_TXT_LABEL,N))",
     MARGIN_AGREEMENT_BALANCE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MARGIN_AGREEMENT_BALANCE_AMT_LABEL,N))",
     MARGIN_THRESHOLD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MARGIN_THRESHOLD_AMT_LABEL,N))",
     MARGIN_PERIOD_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MARGIN_PERIOD_DAYS_CNT_LABEL,N))",
     MARGIN_AGREEMENT_ID  VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MARGIN_AGREEMENT_ID_LABEL,N))",
     VARIATION_MARGIN_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_VARIATION_MARGIN_RT_LABEL,N))",
     INITIAL_MARGIN_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_INITIAL_MARGIN_AMT_LABEL,N))",
     MARGIN_INDEPENDENT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MARGIN_INDEPENDENT_AMT_LABEL,N))",
     MINIMUM_MARGIN_TRANSFER_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MINIMUM_MARGIN_TRANSFER_AMT_LABEL,N))",
     MARGIN_THRESHOLD_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MARGIN_THRESHOLD_CURRENCY_CD_LABEL,N))",
     MATURITY_DT          DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_MATURITY_DT_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (MARGIN_AGREEMENT_RK, VALID_FROM_DTTM)
);
