
CREATE TABLE &LIBREF..MARGIN_AGREEMENT_ASSMNT_RATING (
     MARGIN_AGREEMENT_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_RATING_MARGIN_AGREEMENT_RK_LABEL,N))",
     MARGIN_AGREEMENT_LEG_ROLE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_R_MARGIN_AGREEMENT_LEG_ROLE_CD_LABEL,N))",
     ASSESSMENT_RATING_GRADE_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_RAT_ASSESSMENT_RATING_GRADE_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_RATING_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_RATING_VALID_TO_DTTM_LABEL,N))",
     MARGIN_THRESHOLD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_RATING_MARGIN_THRESHOLD_AMT_LABEL,N))",
     MINIMUM_MARGIN_TRANSFER_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_RA_MINIMUM_MARGIN_TRANSFER_AMT_LABEL,N))",
     MARGIN_INDEPENDENT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_RATING_MARGIN_INDEPENDENT_AMT_LABEL,N))",
     PROCESSED_DTTM       DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ASSMNT_RATING_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (MARGIN_AGREEMENT_RK, MARGIN_AGREEMENT_LEG_ROLE_CD,
      ASSESSMENT_RATING_GRADE_RK, VALID_FROM_DTTM)
);
