
CREATE TABLE &LIBREF..MARGIN_AGREEMENT_ELIGIBILITY (
     MARGIN_AGREEMENT_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBILITY_MARGIN_AGREEMENT_RK_LABEL,N))",
     MARGIN_AGREEMENT_LEG_ROLE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBIL_MARGIN_AGREEMENT_LEG_ROLE_CD_LABEL,N))",
     THRESHOLD_BOUNDARY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBILIT_THRESHOLD_BOUNDARY_TYPE_CD_LABEL,N))",
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBILIT_LIQUIDITY_CATEGORY_TYPE_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBILITY_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBILITY_VALID_TO_DTTM_LABEL,N))",
     THRESHOLD_BOUNDARY_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBILITY_THRESHOLD_BOUNDARY_PCT_LABEL,N))",
     HAIRCUT_PCT          NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBILITY_HAIRCUT_PCT_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_ELIGIBILITY_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (MARGIN_AGREEMENT_RK, MARGIN_AGREEMENT_LEG_ROLE_CD,
      THRESHOLD_BOUNDARY_TYPE_CD, LIQUIDITY_CATEGORY_TYPE_CD, VALID_FROM_DTTM)
);
