
CREATE TABLE &LIBREF..MARGIN_AGREEMENT_LEG (
     MARGIN_AGREEMENT_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_MARGIN_AGREEMENT_RK_LABEL,N))",
     LEG_ROLE_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_LEG_ROLE_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_VALID_TO_DTTM_LABEL,N))",
     MARGIN_THRESHOLD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_MARGIN_THRESHOLD_AMT_LABEL,N))",
     MARGIN_AGREEMENT_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_MARGIN_AGREEMENT_CURRENCY_CD_LABEL,N))",
     MARGIN_PERIOD_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_MARGIN_PERIOD_DAYS_CNT_LABEL,N))",
     MARGIN_INDEPENDENT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_MARGIN_INDEPENDENT_AMT_LABEL,N))",
     VARIATION_MARGIN_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_VARIATION_MARGIN_RT_LABEL,N))",
     MINIMUM_MARGIN_TRANSFER_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_MINIMUM_MARGIN_TRANSFER_AMT_LABEL,N))",
     FIRST_MARGIN_DT      DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_FIRST_MARGIN_DT_LABEL,N))",
     MARGIN_AGREEMENT_ROUNDING_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_MARGIN_AGREEMENT_ROUNDING_AMT_LABEL,N))",
     SETTLEMENT_PERIOD_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_SETTLEMENT_PERIOD_DAYS_CNT_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MARGIN_AGREEMENT_LEG_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (MARGIN_AGREEMENT_RK, LEG_ROLE_CD, VALID_FROM_DTTM)
);
