
CREATE TABLE &LIBREF..PLEDGED_COLLATERAL (
     PLEDGED_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_PLEDGED_COLLATERAL_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_VALID_TO_DTTM_LABEL,N))",
     FINANCIAL_POSITION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_FINANCIAL_POSITION_RK_LABEL,N))",
     FINANCIAL_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_FINANCIAL_COLLATERAL_RK_LABEL,N))",
     ACCOUNT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_ACCOUNT_RK_LABEL,N))",
     HAIRCUT_SET_ID       VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_HAIRCUT_SET_ID_LABEL,N))",
     HOLDINGS_NO          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_HOLDINGS_NO_LABEL,N))",
     PROTECTION_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_PROTECTION_VALUE_AMT_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PLEDGED_COLLATERAL_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (PLEDGED_COLLATERAL_RK, VALID_FROM_DTTM)
);
