
CREATE TABLE &LIBREF..PORTFOLIO_SUBTYPE (
     PORTFOLIO_SUBTYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PORTFOLIO_SUBTYPE_PORTFOLIO_SUBTYPE_CD_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PORTFOLIO_SUBTYPE_VALID_FROM_DTTM_LABEL,N))",
     LANGUAGE_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PORTFOLIO_SUBTYPE_LANGUAGE_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PORTFOLIO_SUBTYPE_VALID_TO_DTTM_LABEL,N))",
     PORTFOLIO_SUBTYPE_DESC VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,PORTFOLIO_SUBTYPE_PORTFOLIO_SUBTYPE_DESC_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PORTFOLIO_SUBTYPE_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (PORTFOLIO_SUBTYPE_CD, VALID_FROM_DTTM, LANGUAGE_CD)
);
