
CREATE TABLE &LIBREF..ROLLOVER_SCHEME (
     ROLLOVER_SCHEME_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,ROLLOVER_SCHEME_ROLLOVER_SCHEME_RK_LABEL,N))",
     ROLLOVER_TERM_TIME_UOM_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,ROLLOVER_SCHEME_ROLLOVER_TERM_TIME_UOM_CD_LABEL,N))",
     ROLLOVER_TERM_TIME_UOM_NO NUMERIC(6,2) FORMAT=NLNUM6.2 INFORMAT=NLNUM6.2 label="%SYSFUNC(SASMSG(&SMDFILE,ROLLOVER_SCHEME_ROLLOVER_TERM_TIME_UOM_NO_LABEL,N))",
     CUTOFF_PERIODS_NO    NUMERIC(6,2) FORMAT=NLNUM6.2 INFORMAT=NLNUM6.2 label="%SYSFUNC(SASMSG(&SMDFILE,ROLLOVER_SCHEME_CUTOFF_PERIODS_NO_LABEL,N))",
     ROLLOVER_PERCENT_RF_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,ROLLOVER_SCHEME_ROLLOVER_PERCENT_RF_ID_LABEL,N))",
     ROLLOVER_SPREAD_RATE_RF_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,ROLLOVER_SCHEME_ROLLOVER_SPREAD_RATE_RF_ID_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (ROLLOVER_SCHEME_RK)
);
