
CREATE TABLE &LIBREF..UNDERWRITER_DETAILS (
     UNDERWRITER_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_UNDERWRITER_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_VALID_FROM_DTTM_LABEL,N))",
     UNDERWRITER_ID       VARCHAR(32) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_UNDERWRITER_ID_LABEL,N))",
     UNDERWRITER_TYPE_CD  VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_UNDERWRITER_TYPE_CD_LABEL,N))",
     EFFECTIVE_DT         DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_EFFECTIVE_DT_LABEL,N))",
     EXPIRATION_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_EXPIRATION_DT_LABEL,N))",
     UNDERWRITER_STATUS_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_UNDERWRITER_STATUS_CD_LABEL,N))",
     MANAGING_EMPLOYEE_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_MANAGING_EMPLOYEE_RK_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,UNDERWRITER_DETAILS_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (UNDERWRITER_RK, VALID_FROM_DTTM)
);
